<Project Sdk="Microsoft.NET.Sdk">

   <PropertyGroup>
      <TargetFramework>net48</TargetFramework>
      <AssemblyName>Raytheon.LogDashboard</AssemblyName>
      <RootNamespace>Raytheon.LogDashboard</RootNamespace>
      <Company>Raytheon Technologies</Company>
      <Product>Logging Dashboard Application</Product>
      <Authors>Specialty Engineering</Authors>
      <Copyright>Raytheon Technologies</Copyright>
      <Version>1.3.10</Version>
      <AssemblyVersion>$(Version)</AssemblyVersion>
      <FileVersion>$(Version)</FileVersion>
      <OutputType>WinExe</OutputType>
      <UseWPF>true</UseWPF>
      <ApplicationIcon>Resources\LogDashboard.ico</ApplicationIcon>
      <DeploymentFolder>$(SolutionDir)_Deployment\</DeploymentFolder>
   </PropertyGroup>

   <ItemGroup>
      <None Remove="Resources\rt_logo_30h.png" />
   </ItemGroup>

   <ItemGroup>
      <Content Include="Resources\LogDashboard.ico">
         <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Content>
   </ItemGroup>

   <ItemGroup>
      <PackageReference Include="MahApps.Metro" Version="2.4.10" />
      <PackageReference Include="MahApps.Metro.Resources" Version="0.6.1" />
      <PackageReference Include="MvvmLight" Version="5.4.1.1" />
      <PackageReference Include="NLog" Version="5.0.0" />
   </ItemGroup>

   <ItemGroup>
      <ProjectReference Include="..\LogDashboard\LogDashboard.csproj" />
   </ItemGroup>

   <ItemGroup>
      <Reference Include="PresentationCore" />
      <Reference Include="PresentationFramework" />
      <Reference Include="System.Deployment" />
      <Reference Include="System.Xml" />
      <Reference Include="System.Xml.Linq" />
      <Reference Include="System.Windows.Forms" />
      <Reference Include="System.Windows.Interactivity" />
      <Reference Include="System.ServiceModel" />
   </ItemGroup>

   <ItemGroup>
      <Compile Update="Properties\Settings.Designer.cs">
         <DesignTimeSharedInput>True</DesignTimeSharedInput>
         <AutoGen>True</AutoGen>
         <DependentUpon>Settings.settings</DependentUpon>
      </Compile>
      <Compile Update="Resources\Resource1.Designer.cs">
         <DesignTime>True</DesignTime>
         <AutoGen>True</AutoGen>
         <DependentUpon>Resource1.resx</DependentUpon>
      </Compile>
   </ItemGroup>

   <ItemGroup>
      <Resource Include="Resources\rt_logo_30h.png" />
   </ItemGroup>

   <ItemGroup>
      <EmbeddedResource Update="Resources\Resource1.resx">
         <Generator>ResXFileCodeGenerator</Generator>
         <LastGenOutput>Resource1.Designer.cs</LastGenOutput>
      </EmbeddedResource>
   </ItemGroup>

   <ItemGroup>
      <None Update="Properties\Settings.settings">
         <Generator>SettingsSingleFileGenerator</Generator>
         <LastGenOutput>Settings.Designer.cs</LastGenOutput>
      </None>
      <None Update="Properties\Resources.resx">
         <Generator>SettingsSingleFileGenerator</Generator>
         <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      </None>
      <None Update="Properties\Locals.resx">
         <Generator>SettingsSingleFileGenerator</Generator>
         <LastGenOutput>Locals.Designer.cs</LastGenOutput>
      </None>
   </ItemGroup>


   <Target Name="CopyFilesToDeploymentDir" AfterTargets="AfterBuild">
      <ItemGroup>
         <FILES_1 Include="$(OutDir)*.dll" />
         <FILES_2 Include="$(TargetPath)" />
      </ItemGroup>
      <Copy SourceFiles="@(FILES_1)" DestinationFolder="$(DeploymentFolder)" />
      <Copy SourceFiles="@(FILES_2)" DestinationFolder="$(DeploymentFolder)" />
   </Target>

   <Target Name="ProjClean" AfterTargets="AfterClean">
      <RemoveDir Directories="$(DeploymentFolder)" />
   </Target>

</Project>